
package de.ivu.elect.presentation.wahlvorschlag.menu;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gebietsbaum.entity.GebietsarteigenschaftConstants;

public class WahlvorschlagSearchGoToUebergeordnetesReferendumgebietMenuItemEntry extends AbstractWahlvorschlagSearchGoToUebergeordnetesWahlgebietMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public WahlvorschlagSearchGoToUebergeordnetesReferendumgebietMenuItemEntry() {
    super();
  }

  @Override
  protected boolean isSearchUebergeordnetesWahlgebietPermitted(Gebiet uebergeordnetesWahlgebiet) {
    return isWahlMitReferendengebieten() && isSearchReferendumgebietZulaessig(uebergeordnetesWahlgebiet);
  }

  @Override
  public Gebiet getUebergeordnetesWahlgebiet() {
    return getUebergeordnetesReferendumgebiet();
  }

  @Override
  protected String getUebergeordnetesWahlgebietGebietsarteigenschaftMsgKey() {
    return GebietsarteigenschaftConstants.MESSAGE_KEY_REFERENDUMGEBIET_EINZAHL;
  }
}
